package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户任务队列(UserNotesTask)实体类
 *
 * @author makejava
 * @since 2023-08-28 16:50:22
 */

@ApiModel("用户任务队列")
public class UserNotesTask implements Serializable {
    private static final long serialVersionUID = 365571789772978550L;
    /**
     * Id
     */
    @ApiModelProperty(value = "Id")
    private Integer id;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 用户Id
     */
    @ApiModelProperty(value = "用户Id")
    private Integer userId;
    /**
     * 状态：0-生成中；1-生成成功；2-生成失败
     */
    @ApiModelProperty(value = "状态：0-生成中；1-生成成功；2-生成失败")
    private Integer status;
    /**
     * 连接地址
     */
    @ApiModelProperty(value = "连接地址")
    private String postUrl;
    /**
     * 模板ID
     */
    @ApiModelProperty(value = "模板ID")
    private Integer templateId;
    /**
     * 条数
     */
    @ApiModelProperty(value = "条数")
    private Integer count;
    /**
     * 提示语
     */
    @ApiModelProperty(value = "提示语")
    private String prompt;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 完成时间
     */
    @ApiModelProperty(value = "完成时间")
    private Date finishTime;
    /**
     * 提示信息
     */
    @ApiModelProperty(value = "提示信息")
    private String tipMsg;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPostUrl() {
        return postUrl;
    }

    public void setPostUrl(String postUrl) {
        this.postUrl = postUrl;
    }

    public Integer getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Integer templateId) {
        this.templateId = templateId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getPrompt() {
        return prompt;
    }

    public void setPrompt(String prompt) {
        this.prompt = prompt;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getTipMsg() {
        return tipMsg;
    }

    public void setTipMsg(String tipMsg) {
        this.tipMsg = tipMsg;
    }

}

